package com.red.circle.game.fruit.infrastructure.database.repository;

import com.red.circle.framework.mybatis.service.BaseService;
import com.red.circle.game.fruit.infrastructure.database.entity.GameFruitPrize;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 摩天轮游戏奖品 服务类.
 * </p>
 *
 * @author lisizhe on 2023-11-30 19:18
 */
public interface GameFruitPrizeService extends BaseService<GameFruitPrize> {

  List<GameFruitPrize> listPrize(String sysOrigin);

  Map<Long, GameFruitPrize> mapByType(Integer type, String sysOrigin);

  Map<Long, GameFruitPrize> mapPrize(String sysOrigin);

  void add(GameFruitPrize gameFruitPrize);

  void update(GameFruitPrize gameFruitPrize);
}
